<template>
	<view class="main-container">
		<view class="name-bar">
			<input class="name-input" type="text" maxlength="10" v-model="nickname">
			<!-- <view class="name-input">{{ userInfo.nickName }}</view> -->
		</view>
		<view class="select-container">
			<!-- <view class="select-left" :style="{backgroundImage: 'url(' + leftImgUrl + ')'}" @click="handleGender(1)"></view> -->
			<!-- <view class="select-right" :style="{backgroundImage: 'url(' + rightImgUrl + ')'}" @click="handleGender(2)"></view> -->
			<view class="select-left select-left-1" @click="handleGender(1)" :style="{zIndex: handleOneImgLevel}"></view>
			<view class="select-left select-left-2" @click="handleGender(1)" :style="{zIndex: handleTwoImgLevel}"></view>
			<view class="select-right select-right-1" @click="handleGender(2)" :style="{zIndex: handleTwoImgLevel}"></view>
			<view class="select-right select-right-2" @click="handleGender(2)" :style="{zIndex: handleOneImgLevel}"></view>
		</view>
		<view class="start-btn" @click="start"></view>
		<view class="mask-container" v-if="showDesc">
			<view class="desc-container">
				<view class="close-btn" @click="handleTips"></view>
			</view>
		</view>
		<view class="mask-container" v-if="showMask">
			<view class="gif-container"></view>
		</view>
	</view>
</template>

<script>
	export default {
		onLoad(option) {
			// this.nickname = option.name;
		},
		mounted() {
			getApp().td_app_sdk.event({
				id: 'story-select',
				label: 'pv',
				params: {}
			});
			console.log("check hasCloseStoryTips === ", getApp().globalData.hasCloseStoryTips);
			this.showDesc = !getApp().globalData.hasCloseStoryTips;
			this.userInfo = getApp().globalData.userInfo;
			console.log('userInfo at select === ', this.userInfo);
			this.nickname = getApp().globalData.storyNickname;
			this.avatar = getApp().globalData.storyAvatar;
		},
		data() {
			return {
				showDesc: true,
				genderType: 1,
				userInfo: null,
				nickname: '',
				avatar: '',
				showMask: false
			}
		},
		methods: {
			handleGender(type) {
				let trackId = '';
				if (type === 1) {
					trackId = 'story选择页面选男'
				} else if (type === 2) {
					trackId = 'story选择页面选女'
				}
				getApp().td_app_sdk.event({
					id: trackId,
					label: 'click'
				});
				this.genderType = type;
			},
			start() {
				// getApp().globalData.storyNickname = this.nickname;
				getApp().td_app_sdk.event({
					id: 'story选择页面确定',
					label: 'click'
				});
				this.showMask = true;
				setTimeout(() => {
					this.showMask = false;
					this.$nextTick(() => {
						uni.navigateTo({
							url: '/pages/dreamstory/story?gender=' + this.genderType + '&name=' + this.nickname + '&avatar=' + this.avatar
						})
					})
				}, 3000);
			},
			handleTips() {
				getApp().td_app_sdk.event({
					id: 'story选择页面关闭提示',
					label: 'click'
				});
				this.showDesc = false;
				uni.setStorage({
					key: 'hasStoryTipsClosed',
					data: true
				})
			}
		},
		computed: {
			leftImgUrl() {
				let finalUrl = '';
				if (this.genderType === 1) {
					finalUrl = 'https://ikea-mrm.woaap.com/images/dreamstory/select-1-1.png';
				} else if (this.genderType === 2) {
					finalUrl = 'https://ikea-mrm.woaap.com/images/dreamstory/select-1-2.png'; 
				}
				return finalUrl;
			},
			rightImgUrl() {
				let finalUrl = '';
				if (this.genderType === 1) {
					finalUrl = 'https://ikea-mrm.woaap.com/images/dreamstory/select-2-2.png'; 
				} else if (this.genderType === 2) {
					finalUrl = 'https://ikea-mrm.woaap.com/images/dreamstory/select-2-1.png'; 
				}
				return finalUrl;
			},
			handleOneImgLevel() {
				if (this.genderType === 1) {
					return '2 !important';
				} else if (this.genderType === 2) {
					return '1 !important';
				}
			},
			handleTwoImgLevel() {
				if (this.genderType === 1) {
					return '1 !important';
				} else if (this.genderType === 2) {
					return '2 !important';
				}
			}
		},
		onShareAppMessage: function(res) {
			return {
				title: '穿越童梦奇缘 用童心制造快乐',
				path: 'pages/index/index',
				imageUrl: 'https://ikea-mrm.woaap.com/images/dreamstory/share.png'
			};
		},
	}
</script>

<style lang="scss" scoped>
.main-container {
	width: 100%;
	height: 100vh;
	background-image: url('https://ikea-mrm.woaap.com/images/dreamstory/select-back.png');
	background-size: cover;
	background-position: center;
	background-repeat: no-repeat;
	position: relative;
}
.name-bar {
	position: absolute;
	z-index: 1;
	left: 56rpx;
	top: calc(50vh - 140rpx);
	width: 638rpx;
	height: 76rpx;
	display: flex;
	justify-content: center;
	align-items: center;
}
.name-input {
	width: 584rpx;
	height: 30rpx;
	line-height: 30rpx;
	font-size: 30rpx;
	color: #333333;
}
.select-container {
	position: absolute;
	z-index: 1;
	left: 54rpx;
	top: calc(50vh + 42rpx);
	width: 645rpx;
	height: 315rpx;
}
.select-left {
	position: absolute;
	z-index: 1;
	top: 0;
	left: 0;
	width: 314rpx;
	height: 315rpx;
	background-size: 100% 100%;
	background-position: center;
	background-repeat: no-repeat;
}
.select-right {
	position: absolute;
	z-index: 1;
	top: 0;
	right: 0;
	width: 314rpx;
	height: 315rpx;
	background-size: 100% 100%;
	background-position: center;
	background-repeat: no-repeat;
}
.select-left-1 {
	background-image: url('https://ikea-mrm.woaap.com/images/dreamstory/select-1-1.png');
}
.select-left-2 {
	background-image: url('https://ikea-mrm.woaap.com/images/dreamstory/select-1-2.png');
}
.select-right-1 {
	background-image: url('https://ikea-mrm.woaap.com/images/dreamstory/select-2-1.png');
}
.select-right-2 {
	background-image: url('https://ikea-mrm.woaap.com/images/dreamstory/select-2-2.png');
}
.start-btn {
	position: absolute;
	z-index: 1;
	left: calc((100vw - 458rpx) / 2);
	top: calc(50vh + 396rpx);
	width: 458rpx;
	height: 98rpx;
	// background-color: rgba(0, 0, 0, .7);
}
.mask-container {
	position: absolute;
	z-index: 2;
	width: 100vw;
	height: 100vh;
	left: 0;
	top: 0;
	background-color: rgba(0, 0, 0, .7);
}
.desc-container {
	position: absolute;
	z-index: 1;
	top: calc((100vh - 636rpx) / 2);
	left: calc((100vw - 721rpx) / 2);
	width: 721rpx;
	height: 636rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/dreamstory/select-desc.png');
	background-size: cover;
	background-position: center;
	background-repeat: no-repeat;
}
.close-btn {
	position: absolute;
	z-index: 1;
	right: 71rpx;
	top: 71rpx;
	width: 58rpx;
	height: 59rpx;
	// background-color: rgba(0, 0, 0, .7);
}
.gif-container {
	position: absolute;
	z-index: 1;
	left: calc((100vw - 462rpx) / 2);
	top: calc(50vh - 200rpx);
	width: 462rpx;
	height: 316rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/dreamstory/select-mask.gif');
	background-size: 100% 100%;
	background-position: center;
	background-repeat: no-repeat;
}
</style>